﻿<%@ Page Title="" Language="C#" StylesheetTheme="tw4" MasterPageFile="~/home.Master" AutoEventWireup="true" CodeBehind="Bookings.aspx.cs" Inherits="tw4.Bookings" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v9.1, Version=9.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dxwgv" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v9.1, Version=9.1.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dxe" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<div style="width:100%;" class="fl bookings" >
    <dxwgv:ASPxGridView ID="ASPxGridView1" runat="server"  
        AutoGenerateColumns="False" CssFilePath="~/App_Themes/Glass/{0}/styles.css" 
        CssPostfix="Glass" KeyFieldName="JobID" Width="100%" CssClass="fl">
        <Styles CssFilePath="~/App_Themes/Glass/{0}/styles.css" CssPostfix="Glass">
            <Header ImageSpacing="5px" SortingImageSpacing="5px">
            </Header>
        </Styles>
        <Images ImageFolder="~/App_Themes/Glass/{0}/">
            <CollapsedButton Height="12px" Width="11px" />
            <DetailCollapsedButton Height="9px" Width="9px" />
            <HeaderFilter Height="18px" 
                Url="~/App_Themes/Glass/GridView/gvHeaderFilter.png" Width="18px" />
            <HeaderActiveFilter Height="18px" 
                Url="~/App_Themes/Glass/GridView/gvHeaderFilterActive.png" Width="18px" />
            <FilterRowButton Height="13px" Width="13px" />
            <CustomizationWindowClose Height="17px" Width="17px" />
            <PopupEditFormWindowClose Height="17px" Width="17px" />
            <FilterBuilderClose Height="17px" Width="17px" />
        </Images>
    <Columns>
    <dxwgv:GridViewDataColumn FieldName="JobProgressState"  Caption="State" VisibleIndex="0" >
                <DataItemTemplate>
                        <img id="Img1" runat="server" src='<%# tw4.Classes.CurrentUser.GetProgressImageName(Eval("JobProgressState")) %>' />
               </DataItemTemplate>
        </dxwgv:GridViewDataColumn>
    <dxwgv:GridViewDataDateColumn FieldName="Created" VisibleIndex="0" PropertiesDateEdit-DisplayFormatString="ddd dd MMM yyyy">
<PropertiesDateEdit DisplayFormatString="ddd dd MMM yyyy"></PropertiesDateEdit>
        </dxwgv:GridViewDataDateColumn>
    <dxwgv:GridViewDataTextColumn FieldName="Ref" VisibleIndex="1"></dxwgv:GridViewDataTextColumn>
    <dxwgv:GridViewDataTextColumn FieldName="CRef" VisibleIndex="2"></dxwgv:GridViewDataTextColumn>
    <dxwgv:GridViewDataTextColumn FieldName="JobName" Caption="Name" VisibleIndex="3"></dxwgv:GridViewDataTextColumn>
    <dxwgv:GridViewDataTextColumn FieldName="ClientCost" Caption="Cost" VisibleIndex="4" UnboundType="Decimal" PropertiesTextEdit-DisplayFormatString="c">
<PropertiesTextEdit DisplayFormatString="c"></PropertiesTextEdit>
        </dxwgv:GridViewDataTextColumn>
    <dxwgv:GridViewDataColumn>
    <DataItemTemplate>
    <a href="booking.aspx?id=<%# Eval("JobId") %>">Open Job</a>
    </DataItemTemplate>
    </dxwgv:GridViewDataColumn>
    </Columns>
    <Templates>
    <DetailRow>
    <dxwgv:ASPxGridView ID="ASPxGridViewLegs" runat="server" 
        AutoGenerateColumns="False" KeyFieldName="Id" Width="100%"
            OnBeforePerformDataSelect="ASPxGridViewLegs_BeforePerformDataSelect"
        >
        <Columns>
        
        <dxwgv:GridViewDataDateColumn FieldName="DateTime" PropertiesDateEdit-DisplayFormatString="HH:mm ddd dd MMM yyyy" Caption="Time"></dxwgv:GridViewDataDateColumn>
        <dxwgv:GridViewDataMemoColumn FieldName="LongAddress" Caption="Address"></dxwgv:GridViewDataMemoColumn>
        <dxwgv:GridViewDataColumn FieldName="IsDriverCompleted" Caption="Completed" >
                <DataItemTemplate>
                        <img id="Img1" runat="server" src='<%# GetImageName(Eval("IsDriverCompleted")) %>' />
               </DataItemTemplate>
        </dxwgv:GridViewDataColumn>
        <dxwgv:GridViewDataColumn FieldName="IsRouted" Caption="Routed" >
                <DataItemTemplate>
                        <img id="Img2" runat="server" src='<%# GetImageName(Eval("IsDriverCompleted")) %>' />
               </DataItemTemplate>
        </dxwgv:GridViewDataColumn>
        <dxwgv:GridViewDataColumn>
        <DataItemTemplate>
        <a href="bookedlocation.aspx?id=<%# Eval("Id") %>">Open Location</a>
        </DataItemTemplate>
        </dxwgv:GridViewDataColumn>
        </Columns>
        <SettingsDetail IsDetailGrid="True" />
        </dxwgv:ASPxGridView>
    </DetailRow>
    </Templates>
    <SettingsDetail ShowDetailRow="true"/> 
    <Settings ShowFilterRow="True" ShowFilterRowMenu="True" ShowFooter="true"
                ShowHeaderFilterButton="True" />
        <StylesEditors>
            <ProgressBar Height="25px">
            </ProgressBar>
        </StylesEditors>
</dxwgv:ASPxGridView>
</div>
</asp:Content>
